List My Images

List My Images shows a list of images that have been purchased, with optional filters.

Once an image has been purchased it is added to you collection. You can list the images in your collection using the following URL:

https://api.pearson.com/dk/v1/my/images

This will return a JSON representation of the images you have bought and added to your collection. It is possible to filter and page through the results using the following parameters:

caption

Filter the images collection by caption, use '*' as a prefix or postfix to wildcard

keywords

Filter the images collection by keywords, use '*' as a prefix or postfix to wildcard

limit

Used for pagination, sets the maximum number of entries for the collection (up to a maximum of 100)

offset

Used for pagination, sets the start index of the collection

 

Example: List images in your collection

curl 'https://api.pearson.com/dk/v1/my/images?apikey=yourapikey'
 {
  offset: 0,
  limit: 25,
  count: 1,
  total: 1,
  dataset: "dkimages",
  url: "https://api.pearson.com/dk/v1/my/images?apikey=youApiKey",
  images: [
    {
      id: "dk2zwYxBQymp9K",
      filename: "10044520.jpg",
      url: "https://api.pearson.com/dk/v1/my/images/dk2zwYxBQymp9K?apikey=yourApiKey",
      caption: "White kitten face to face with a young black rabbit",
      keywords: "Animal Themes, Beginnings, Bonding, Curiosity, Domestic Cat, Face To Face, Full Length, Kitten, Looking, Meeting, New Life, No People, Pets, Rabbit, Side View, Standing, Studio Shot, Two Animals, Uncertainty, White Background, Young Animal, White, Black, Horizontal"
    }
  ]
 }